#include <library/cpp/testing/unittest/registar.h>

#include "matcher_url.h"

Y_UNIT_TEST_SUITE(TSiteTreeMRTest1) {
    Y_UNIT_TEST(MatcherUrlTest) {
        TVector<TString> filters;
        for (int i = 0; i < 200; i++) {
            filters.push_back("/t/kategorii/komp[]{}().,\\<>фы\\*ва$?^+'iutiernaia-i-*-tiekhnika/");
        }

        TMatcher matcher(filters);

        UNIT_ASSERT_EQUAL(matcher.Matches("/t/kategorii/komp[]{}().,\\<>фы*ва$?^+'iutiernaia-i-ofisnaia-tiekhnika/"), true);

        //for (const size_t* match = matcher.Accepted.first; match < matcher.Accepted.second; ++match) {
        //    Cout << "Matched " << *match << Endl;
        //}
    }
}
